#/bin/bash
# Timestamp Comparison Engine
# By Danny Allen 2005

# load user timestamp, then add 900 (if this amount of seconds exceeded, user offline)
if [ -e ~/.superkaramba/timestamp.txt ]; then
	timestamp=`< ~/.superkaramba/timestamp.txt`
	timestamp=$(($timestamp + 900))
	# determine the current time
	mechstamp=`date +%s`

	if [ $mechstamp -ge $timestamp ]; then
		echo "0"
		exit 0;
	else
		echo "1"
		exit 0;
	fi
else
	echo "0"
	exit 1;
fi